IgnoreDependenciesExecutor (Apache Ant API)
Keywords: org.apache.tools.ant.helper.IgnoreDependenciesExecutor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class IgnoreDependenciesExecutor

    java.lang.Object
      org.apache.tools.ant.helper.IgnoreDependenciesExecutor

All Implemented Interfaces:
  Executor

    public class IgnoreDependenciesExecutor

extends java.lang.Object
implements Executor

Target executor implementation that ignores dependencies. Runs each target by calling `target.performTasks()` directly. If an error occurs, behavior is determined by the Project's "keep-going" mode. To be used when you know what you're doing.

Since:
  Ant 1.7.1

Constructor Summary
`IgnoreDependenciesExecutor()`

Method Summary
`void` | `executeTargets(Project project, java.lang.String[] targetNames)` Execute the specified Targets for the specified Project..
`Executor` | `getSubProjectExecutor()` Get the appropriate subproject Executor instance..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IgnoreDependenciesExecutor

    public IgnoreDependenciesExecutor()

Method Detail

### executeTargets

    public void executeTargets(Project project,
                               java.lang.String[] targetNames)
                        throws BuildException

  Execute the specified Targets for the specified Project..

  Specified by:
    `executeTargets` in interface `Executor`
  Parameters:
    `project` - the Ant Project.
    `targetNames` - String[] of Target names as specified on the command line.
  Throws:
    `BuildException` - on error

### getSubProjectExecutor

    public Executor getSubProjectExecutor()

  Get the appropriate subproject Executor instance. This allows the top executor to control what type of executor is used to execute subprojects via // and task that extend these. All bundled Executors return a SingleCheckExecutor (running a merged set of depended targets for all targets called) to run sub-builds..

  Specified by:
    `getSubProjectExecutor` in interface `Executor`
  Returns:
    an Executor instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD